#ifdef GL_ES
precision highp float; // for tegra
varying mediump vec2 v_texCoord;
varying lowp vec4 v_color;
#else
varying vec2 v_texCoord;
varying vec4 v_color;
#endif

uniform sampler2D u_texture;
uniform vec2 u_texSize;
uniform int  u_mosaicLevel;

void main() {
    vec4 color = texture2D(u_texture, v_texCoord);
    float v = color.x * 0.298912 + color.y * 0.586611 + color.z * 0.114478;
    color.x = v * 0.7;
    color.y = v * 0.60;
    color.z = v * 0.65;
    gl_FragColor = vec4(color) * v_color;

}
